PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package structures
  Definition Classes
    serverobject
- Amenity
- AmenityDefinition
- AmenityOwner
- AutoRepairStats
- Building
- BuildingDefinition
- FoundationBuilder
- PoweredAmenityControl
- SphereOfInfluence
- StructureType
- WarpGate
- WarpGateDefinition

c

net.psforever.objects.serverobject.structures

# WarpGate

###
Companion object WarpGate

#### class WarpGate extends Building with NtuContainer with SpawnPoint

Source
  WarpGate.scala

Linear Supertypes
SpawnPoint, NtuContainer, TransferContainer, Building, AmenityOwner, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WarpGate
2. SpawnPoint
3. NtuContainer
4. TransferContainer
5. Building
6. AmenityOwner
7. PlanetSideServerObject
8. ZoneAware
9. FactionAffinity
10. PlanetSideGameObject
11. WorldEntity
12. IdentifiableEntity
13. Identifiable
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new WarpGate(name: String, building_guid: Int, map_id: Int, zone: Zone, buildingDefinition: WarpGateDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Active: Boolean

   If a warp gate is active, it can be used to transport faction-affiliated forces between other gates.

   If a warp gate is active, it can be used to transport faction-affiliated forces between other gates. For transportation of faction-opposed forces, use broadcast logic for that faction.

   returns

     `true`, if the warp gate can be used for transport; `false`, otherwise

5.  def Active_=(state: Boolean): Boolean

   Control whether a warp gate is usable for transporting faction-affiliated forces between other gates.

   Control whether a warp gate is usable for transporting faction-affiliated forces between other gates.

   state

     `true`, to activate the gate; `false`, otherwise

   returns

     `true`, if the gate is active; `false`, otherwise

6.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
7.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
8.  def Amenities: List[Amenity]
   Definition Classes
     AmenityOwner
9.  def Amenities_=(obj: Amenity): List[Amenity]
   Definition Classes
     AmenityOwner
10.  def Broadcast(faction: types.PlanetSideEmpire.Value): Boolean

    Determine whether a specific faction interacts with this warp gate as "broadcast." The warp gate being `NEUTRAL` should allow for any polled faction to interact.

    Determine whether a specific faction interacts with this warp gate as "broadcast." The warp gate being `NEUTRAL` should allow for any polled faction to interact. The gate must be active first.

    returns

      `true`, if the given faction interacts with this warp gate as a "broadcast gate"; `false`, otherwise

11.  def Broadcast: Boolean

    Determine whether any faction interacts with this warp gate as "broadcast." The gate must be active first.

    Determine whether any faction interacts with this warp gate as "broadcast." The gate must be active first.

    returns

      `true`, if some faction sees this warp gate as a "broadcast gate"; `false`, otherwise

12.  def BroadcastFor: Set[types.PlanetSideEmpire.Value]

    Which factions interact with this warp gate as "broadcast?"

    Which factions interact with this warp gate as "broadcast?"

    returns

      the set of all factions who interact with this warp gate as "broadcast"

13.  def BroadcastFor_=(bcast: Set[types.PlanetSideEmpire.Value]): Set[types.PlanetSideEmpire.Value]

    Allow some factions to interact with a given warp gate as "broadcast" if it is active.

    Allow some factions to interact with a given warp gate as "broadcast" if it is active.

    bcast

      the factions

    returns

      the set of all factions who interact with this warp gate as "broadcast"

14.  def BroadcastFor_=(bcast: types.PlanetSideEmpire.Value): Set[types.PlanetSideEmpire.Value]

    Allow a faction to interact with a given warp gate as "broadcast" if it is active.

    Allow a faction to interact with a given warp gate as "broadcast" if it is active.

    bcast

      the faction

    returns

      the set of all factions who interact with this warp gate as "broadcast"

15.  def Broadcast_=(bcast: Boolean): Set[types.PlanetSideEmpire.Value]

    Toggle whether the warp gate's faction-affiliated force interacts with this warp gate as "broadcast." Other "broadcast" associations are not affected.

    Toggle whether the warp gate's faction-affiliated force interacts with this warp gate as "broadcast." Other "broadcast" associations are not affected. The gate must be active first.

    bcast

      `true`, if the faction-affiliated force interacts with this gate as broadcast; `false`, if not

    returns

      the set of all factions who interact with this warp gate as "broadcast"

16.  def BuildingType: StructureType
    Definition Classes
      Building
17.  def CaptureTerminal: Option[CaptureTerminal]
    Definition Classes
      Building
18.  def CaptureTerminalIsHacked: Boolean
    Definition Classes
      Building
19.  def Continent: String
    Definition Classes
      Building → ZoneAware
20.  def Continent_=(zone: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    returns

      the identifier of the `Zone` object

    Definition Classes
      Building → ZoneAware
21.  def Definition: WarpGateDefinition

    An element of the contract of `PlanetSideServerObject`; but, this makes it visible to a `SpawnPoint` object without casting.

    An element of the contract of `PlanetSideServerObject`; but, this makes it visible to a `SpawnPoint` object without casting.

    Definition Classes
      WarpGate → SpawnPoint → NtuContainer → Building → PlanetSideGameObject
    See also

      `PlanetSideGameObject.Definition`

      `SpecificPoint`

22.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
23.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
24.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
25.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
26.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
27.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
28.  def ForceDomeActive: Boolean
    Definition Classes
      Building
29.  def ForceDomeActive_=(activated: Boolean): Boolean
    Definition Classes
      Building
30.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
31.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
32.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

33.  def Generator: Option[Generator]
    Definition Classes
      Building
34.  def HackableAmenities: List[Amenity with Hackable]
    Definition Classes
      Building
35.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
36.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
37.  def IsCapitol: Boolean
    Definition Classes
      Building
38.  def IsSubCapitol: Boolean
    Definition Classes
      Building
39.  def MapId: Int
    Definition Classes
      Building
40.  def Name: String
    Definition Classes
      Building
41.  def Neighbours(faction: types.PlanetSideEmpire.Value): Option[Set[Building]]
    Definition Classes
      Building
42.  def Neighbours: Option[Set[Building]]
    Definition Classes
      Building
43.  def NtuCapacitor: Float
    Definition Classes
      WarpGate → NtuContainer
44.  def NtuCapacitor_=(value: Float): Float
    Definition Classes
      WarpGate → NtuContainer
45.  def NtuLevel: Int
    Definition Classes
      Building
46.  def NtuSource: Option[NtuContainer]
    Definition Classes
      Building
47.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
48.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
49.  def Owner: PlanetSideServerObject

    An element of an unspoken contract with `Amenity`.

    An element of an unspoken contract with `Amenity`. While not all `SpawnPoint` objects will be `Amenity` objects, a subclass of the `PlanetSideServerObject` class, they will all promote having an object owner, or "parent." This should generally be themselves.

    Definition Classes
      WarpGate → SpawnPoint
    See also

      `Amenity.Owner`

50.  def PlayersInSOI: List[Player]
    Definition Classes
      Building
51.  def PlayersInSOI_=(list: List[Player]): List[Player]
    Definition Classes
      Building
52.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
53.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
54.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
55.  def SpecificPoint(target: PlanetSideGameObject): (Vector3, Vector3)

    Determine a specific position and orientation in which to spawn the target.

    Determine a specific position and orientation in which to spawn the target.

    returns

      a `Tuple` of `Vector3` objects; the first represents the game world position of spawning; the second represents the game world direction of spawning

    Definition Classes
      SpawnPoint
56.  def StopBroadcastFor_=(bcast: Set[types.PlanetSideEmpire.Value]): Set[types.PlanetSideEmpire.Value]

    Disallow some factions to interact with a given warp gate as "broadcast."

    Disallow some factions to interact with a given warp gate as "broadcast."

    bcast

      the factions

    returns

      the set of all factions who interact with this warp gate as "broadcast"

57.  def StopBroadcastFor_=(bcast: types.PlanetSideEmpire.Value): Set[types.PlanetSideEmpire.Value]

    Disallow a faction to interact with a given warp gate as "broadcast."

    Disallow a faction to interact with a given warp gate as "broadcast."

    bcast

      the faction

    returns

      the set of all factions who interact with this warp gate as "broadcast"

58.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
59.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
60.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
61.  def Zone: Zone
    Definition Classes
      ZoneAware
62.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      Building → ZoneAware
63.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
64.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
65.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
66.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
67.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
68.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
69.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
70.  def infoUpdateMessage(): BuildingInfoUpdateMessage
    Definition Classes
      WarpGate → Building
71.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
72.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
73.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
74.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
75.  def isOffline: Boolean
    Definition Classes
      SpawnPoint
76.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
77.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
78.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
79.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
80.  def toString(): String
    Definition Classes
      Building → AnyRef → Any
81.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
82.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
83.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SpawnPoint

### Inherited from NtuContainer

### Inherited from TransferContainer

### Inherited from Building

### Inherited from AmenityOwner

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped